<< isstable | FOSSEE_Signal_Processing_Toolbox | kaiserord >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > kaiser

# kaiser

Compute the filter coefficients of a Kaiser window.

### Syntax

    w = kaiser(m)
    w = kaiser(m, beta)

### Parameters

m:

  Positive integer value representing the length of the Kaiser window.

beta:

  (optional) Real scalar value representing the shape parameter of the Kaiser window. Default is 0.5.

w:

  Output variable, a vector of real numbers representing the filter coefficients.

### Description

The `kaiser` function computes the filter coefficients of a Kaiser window of length `m`. The second parameter `beta` determines the stopband attenuation of the Fourier transform of the window.

### Examples

    kaiser(6, 0.2)

Report an issue
<< isstable | FOSSEE_Signal_Processing_Toolbox | kaiserord >>